;-------------------------------------------------------------------------------
; sys_intvecs.asm
;
; (c) Texas Instruments 2009-2010, All rights reserved.
;

;    SECTION .intvec:CODE:ROOT(2)
     section .vectors:CODE:ROOT(2)
    ARM

;-------------------------------------------------------------------------------
; import reference for interrupt routines

    EXTERN _undefined
    EXTERN _svc
    EXTERN _prefetchAbort
    EXTERN _dabort
    EXTERN _c_int00    
    PUBLIC __vector_table
;    PUBLIC __vector
    EXTERN vPortYieldProcessor

;-------------------------------------------------------------------------------
; interrupt vectors

; __vector:
__vector_table:
        b   _c_int00                                    ; reset
__undefined_inst:        
        b    __undefined_inst                          ; undefined instruction
        b   vPortYieldProcessor                        ; timer IRQ - RTI (svc)
__prefetch_abort:
        b   __prefetch_abort                            ; prefetch abort
__data_abort:        
        b   __data_abort                                ; data abort
__reserved 
        nop
;        DCD 0                                             ; reserved
;        b   __reserved                                  ; reserved ??
        ldr pc,[pc,#-0x1b0]                             ; IRQ
        ldr pc,[pc,#-0x1b0]                             ; FIQ

    
;-------------------------------------------------------------------------------
        END