/** @file sys_main.c
*   @brief Application main file
*   @date 15.July.2009
*   @version 1.01.000
*
*   This file contains an empty main function,
*   which can be used for the application.
*/

/* (c) Texas Instruments 2009-2010, All rights reserved. */

/** @mainpage TMS570LS3x Micro Controller Driver Documentation
*   @date 12.May.2011
*

*/

/* USER CODE BEGIN (0) */
/* USER CODE END */


/* Include Files */

#include "system.h"
#include "sys_common.h"
#include "sys_vim.h"
#include "sys_core.h"
#include "sys_selftest.h"
#include "esm.h"

/* USER CODE BEGIN (1) */

#include "het.h"

/* External Demo Functions */
extern void run_LED_StartUp(void);


/* USER CODE END */


/** @fn void main(void)
*   @brief Application main function
*   @note This function is empty by default.
*
*   This function is called after startup.
*   The user can use this function to implement the application.
*/

/* USER CODE BEGIN (2) */


/* USER CODE END */

void main(void)
{
  /* USER CODE BEGIN (3) */

  /** - Call RUN LED routine that toggles NHET pin */
  run_LED_StartUp();

/* USER CODE END */
}


/* USER CODE BEGIN (4) */
/* USER CODE END */
