/** @file sys_phantom.c 
*   @brief Phantom Interrupt Source File
*   @date 15.July.2009
*   @version 1.01.000
*
*   This file contains:
*   - Phantom Interrupt Handler
*/
#include "sys_types.h"
#include "gio.h"
#include "het.h"

/* (c) Texas Instruments 2009-2010, All rights reserved. */

/* USER CODE BEGIN (0) */
/* USER CODE END */


/* Phantom Interrupt Handler */

/* USER CODE BEGIN (1) */
/* USER CODE END */

__irq __arm void phantomInterrupt(void)
{
/* USER CODE BEGIN (2) */
  
  	/* to indicate we are in the phantom interrupt light up the BLUE leds */

	/* Initalise the IO ports that drive the LEDs */
	gioSetDirection(hetPORT, 0xFFFFFFFF);
	/* switch all leds off */
	gioSetPort(hetPORT, 0x08110034);
	/* switch on blue leds */
	gioSetBit(hetPORT,  5, 0);
	gioSetBit(hetPORT, 27, 0);

	for(;;);
  
  
//    return;
/* USER CODE END */
}

/* USER CODE BEGIN (3) */
/* USER CODE END */
