// a catch all for IRQ errors
#include "FreeRTOS.h"
#include "gio.h"
#include "het.h"
#define EVER    ;;

__irq __arm void errorVector(void);		// proto

__irq __arm void errorVector ( void )
{

    	/* to indicate we are in the errorVector light up the XXX leds */
         __disable_interrupt();
	/* Initalise the IO ports that drive the LEDs */
	gioSetDirection(hetPORT, 0xFFFFFFFF);
	/* switch all leds off */
	gioSetPort(hetPORT, 0x08110034);
	/* switch on blue leds */
	gioSetBit(hetPORT,  5, 1);
       gioSetBit(hetPORT,  8, 1); 
	gioSetBit(hetPORT, 27, 1);
        gioSetBit(hetPORT, 2, 1);

	for(EVER);
    
}
