/** @file sys_prefetch.c 
*   @brief Prefetch Abort Handler Source File
*   @date 15.July.2009
*   @version 1.00.000
*
*   This file contains:
*   - Prefetch Abort Handler
*/
#include "sys_types.h"
#include "FreeRTOS.h"

/* (c) Texas Instruments 2009, All rights reserved. */

/* USER CODE BEGIN (0) */
/* USER CODE END */

uint32_t pulFaultStackAddress[10];

/* Prefetch Abort Interrupt Handler */

/* USER CODE BEGIN (1) */
/* USER CODE END */

void _prefetchAbort(void)
{
/* USER CODE BEGIN (2) */
  
volatile uint32_t r0;
volatile uint32_t r1;
volatile uint32_t r2;
volatile uint32_t r3;
volatile uint32_t r12;
volatile uint32_t lr; /* Link register. */
volatile uint32_t pc; /* Program counter. */
volatile uint32_t psr;/* Program status register. */

    r0 = pulFaultStackAddress[ 0 ];
    r1 = pulFaultStackAddress[ 1 ];
    r2 = pulFaultStackAddress[ 2 ];
    r3 = pulFaultStackAddress[ 3 ];

    r12 = pulFaultStackAddress[ 4 ];
    lr = pulFaultStackAddress[ 5 ];
    pc = pulFaultStackAddress[ 6 ];
    psr = pulFaultStackAddress[ 7 ];

    /* When the following line is hit, the variables contain the register values. */
    for( ;; );  
  
  
  
  
/* USER CODE END */
}

/* USER CODE BEGIN (3) */
/* USER CODE END */
